--
-- PASSWORD_HISTORY
--
CREATE TABLE GRHUM.PASSWORD_HISTORY
(
  PWDH_ORDRE    NUMBER          NOT NULL,
  CPT_ORDRE     NUMBER          NOT NULL,
  PWDH_PASSWD   VARCHAR2(100)   NOT NULL,
  TCRY_ORDRE    NUMBER          NOT NULL,
  D_CREATION        DATE        NOT NULL,
  D_FIN_VALIDITE    DATE        NOT NULL
);

COMMENT ON TABLE GRHUM.PASSWORD_HISTORY IS 'Table d''historique des mots de passe.';

COMMENT ON COLUMN GRHUM.PASSWORD_HISTORY.PWDH_ORDRE    IS 'Clef primaire de PASSWORD_HISTORY';
COMMENT ON COLUMN GRHUM.PASSWORD_HISTORY.CPT_ORDRE    IS 'Clef étrangère vers la table COMPTE';
COMMENT ON COLUMN GRHUM.PASSWORD_HISTORY.PWDH_PASSWD    IS 'Mot de passe crypté';
COMMENT ON COLUMN GRHUM.PASSWORD_HISTORY.TCRY_ORDRE    IS 'Clef étrangère vers la table TYPE_CRYPTAGE';
COMMENT ON COLUMN GRHUM.PASSWORD_HISTORY.D_CREATION    IS 'Date de création';
COMMENT ON COLUMN GRHUM.PASSWORD_HISTORY.D_FIN_VALIDITE    IS 'Date de fin de validité';

CREATE UNIQUE INDEX GRHUM.PK_PASSWORD_HISTORY ON GRHUM.PASSWORD_HISTORY(PWDH_ORDRE) LOGGING NOPARALLEL;

ALTER TABLE GRHUM.PASSWORD_HISTORY ADD (CONSTRAINT PK_PASSWORD_HISTORY PRIMARY KEY(PWDH_ORDRE));

ALTER TABLE GRHUM.PASSWORD_HISTORY ADD CONSTRAINT PASSWORD_HISTORY_REF_COMPTE FOREIGN KEY (CPT_ORDRE) REFERENCES COMPTE (CPT_ORDRE);

ALTER TABLE GRHUM.PASSWORD_HISTORY ADD CONSTRAINT PASSWORD_HISTORY_REF_TYP_CRYPT FOREIGN KEY (TCRY_ORDRE) REFERENCES TYPE_CRYPTAGE (TCRY_ORDRE);

CREATE SEQUENCE GRHUM.PASSWORD_HISTORY_SEQ START WITH 1 INCREMENT BY 1 MINVALUE 1 NOCACHE NOCYCLE NOORDER; 